# Method: curators.curatedPackages.activate

- [HTTP request](https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1beta/curators.curatedPackages/activate#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1beta/curators.curatedPackages/activate#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1beta/curators.curatedPackages/activate#body.request_body)
- [Response body](https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1beta/curators.curatedPackages/activate#body.response_body)
- [Authorization scopes](https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1beta/curators.curatedPackages/activate#body.aspect)
- [Try it!](https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1beta/curators.curatedPackages/activate#try-it)

Activates an existing curated package.

### HTTP request

`POST https://authorizedbuyersmarketplace.googleapis.com/v1beta/{name=curators/*/curatedPackages/*}:activate`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The name of the curated package to activate. Format: `curators/{accountId}/curatedPackages/{curatedPackageId}` |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/authorized-buyers/apis/marketplace/reference/rest/v1beta/curators.curatedPackages#CuratedPackage`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/authorized-buyers-marketplace`